.\"     $NetBSD: ug.4,v 1.3 2007/01/08 23:55:58 xtraeme Exp $
.\"
.\" Copyright (c) 2007 Mihai Chelaru <kefren@netbsd.ro>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 8, 2007
.Dt UG 4
.Os
.Sh NAME
.Nm ug
.Nd Abit uGuru system hardware monitor
.Sh SYNOPSIS
.Cd "ug* at acpi?"
.Cd "ug0 at isa? port 0xe0"
.Sh DESCRIPTION
The
.Nm
driver provides support for the
.Tn Abit uGuru
hardware monitor to be used with the
.Xr envsys 4
interface.
.Pp
The
.Nm
driver has 19 sensors:
.Bl -column "Sensor" "Units" "Typical" -offset indent
.It Sy "Sensor" Ta Sy "Units" Ta Sy "Typical Use"
.It Li "CPU" Ta "uK" Ta "CPU Temp"
.It Li "SYS" Ta "uK" Ta "System Temp"
.It Li "PWN" Ta "uK" Ta "PWN Temp"
.It Li "VCORE" Ta "uV DC" Ta "Core voltage"
.It Li "DDR0" Ta "uV DC" Ta "DDRVdd"
.It Li "DDR1" Ta "uV DC" Ta "DDRVtt"
.It Li "NB" Ta "uV DC" Ta "NBVdd"
.It Li "SB" Ta "uV DC" Ta "SBVdd"
.It Li "HTV" Ta "uV DC" Ta "HTVdd"
.It Li "AGP" Ta "uV DC" Ta "AGPVdd"
.It Li "V5V" Ta "uV DC" Ta "Vdd5V"
.It Li "V33V" Ta "uV DC" Ta "Vdd3V3"
.It Li "V5SB" Ta "uV DC" Ta "Vdd5VSB"
.It Li "V33VD" Ta "uV DC" Ta "Vdd3VDual"
.It Li "CPUF" Ta "RPM" Ta "CPU Fan"
.It Li "NBF" Ta "RPM" Ta "NB Fan"
.It Li "SYSF" Ta "RPM" Ta "SYS Fan"
.It Li "AUXF" Ta "RPM" Ta "AUX Fan 1"
.It Li "AUXF2" Ta "RPM" Ta "AUX Fan 2"
.El
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr envsys 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Mihai Chelaru Aq kefren@netbsd.ro .
.Sh BUGS
Interrupt support is unimplemented.
